[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemon.OnStop

Daemon stop event

## Declaration

Source position: daemonapp.pp line 110

`published property TDaemon.OnStop : TDaemonOKEvent read FOnStop write FOnStop;`

## Description

OnStart is the event called when the daemon must be stopped. This event handler should return as quickly as possible. If it must perform lengthy operations, it is best to report the status to the operating system at regular intervals using the ReportStatus method.

If a thread was started in the OnExecute event, this is the place where the thread should be stopped.

## See also

TDaemon.OnStart |  | Daemon start event
TDaemon.OnPause |  | Daemon pause event
ReportStatus |  | Report the current status to the operating system